corda / net.corda.core.serialization / KotlinObjectSerializer

# KotlinObjectSerializer

`object KotlinObjectSerializer : Serializer<DeserializeAsKotlinObjectDef>`

Serializer to deserialize kotlin object definitions marked with DeserializeAsKotlinObjectDef.

### Functions

read | `fun read(kryo: Kryo, input: Input, type: Class<DeserializeAsKotlinObjectDef>): DeserializeAsKotlinObjectDef`
write | `fun write(kryo: Kryo, output: Output, obj: DeserializeAsKotlinObjectDef): Unit`